API Referenceapipatient-graphGET /v1/patients/{patient_id}/metrics

GET /v1/patients/\{patient_id\}/metrics

Service: patient-graph · operationId: (none)

Required scopes

(no scope declared — review service config)

Path parameters

  • patient_id (string) required

Responses

200 Available metric keys with latest values

{
  "type": "object",
  "properties": {
    "patient_id": {
      "type": "string"
    },
    "metrics": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "metric_key": {
            "type": "string"
          },
          "last_value": {
            "type": [
              "string",
              "null"
            ]
          },
          "unit": {
            "type": [
              "string",
              "null"
            ]
          },
          "last_recorded_at": {
            "type": "string"
          },
          "is_phi": {
            "type": "boolean"
          }
        },
        "required": [
          "metric_key",
          "last_value",
          "unit",
          "last_recorded_at",
          "is_phi"
        ]
      }
    }
  },
  "required": [
    "patient_id",
    "metrics"
  ]
}

404 Patient not found

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

Example

curl -X GET https://patient-graph.platform.loop.health/v1/patients/{patient_id}/metrics \
  -H "Authorization: Bearer $ACCESS_TOKEN"